cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/referenceCatalog/v1/{catalogId}/suggest \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/referenceCatalog/v1/{catalogId}/suggest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/referenceCatalog/v1/{catalogId}/suggest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "<string>",
"referenceCatalogValues": [
{
"createdAt": 123,
"deleted": true,
"id": "<string>",
"kind": "<string>",
"lastModifiedAt": 123,
"leaf": true,
"level": 123,
"name": "<string>",
"parent": "<string>",
"parentIds": [
"<string>"
],
"rank": 123,
"referenceCatalogId": "<string>"
}
]
}referenceCatalog
Get referencecatalogv1 suggest
Lists suggested matching values of a reference catalog in the domain.
GET
/
referenceCatalog
/
v1
/
{catalogId}
/
suggest
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the reference catalog
Query Parameters
The prefix to look for reference catalog values
The number of reference catalog values matching the prefix to return. (Default: 15)
The id of the direct parent of the reference catalog values to look for
The security code
The G Suite domain
⌘I